#!/bin/sed -f
#
# This will generate the script init_spamdir.sh from
# spam_rules.in
# Run like this:
#     cat spam_rules.in | ./init_spamdir_sh.sed  > init_spamdir.sh
#     sh init_spamdir.sh

1{
a\
\#!/bin/sh \
\
if [ "$1" == "" ] \
then\
	SPAMDIR="$HOME/.magicspam"\
else\
	SPAMDIR=$1\
fi\
\
if [ ! -d "$1" ]\
then\
	echo "Creating SPAMDIR: $SPAMDIR"\
	mkdir $SPAMDIR\
fi
}

#
# Clean the input file 
#
{
# Strip comments and end of line whitespace
s/[[:space:]]*\#.*$//
# Strip beginning of line whitespace 
s/^[[:space:]]*//
# delete blank lines
/^$/d
}

/^$/!{
h
s|^\([[:alnum:]]\+\)[[:space:]]\+\([[:alnum:]_]\+\)[[:space:]]\+\([^[:space:]]\+\)[[:space:]]\+\([^[:space:]]\+\).*|echo \4 > $SPAMDIR/\2;|
s/1/true/
s/0/false/
}
